## lxqt-menu-data-2.3.0-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-menu-data)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "2.3.0")

find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

# Version
set(LXQT_MENU_DATA_MAJOR_VERSION 2)
set(LXQT_MENU_DATA_MINOR_VERSION 3)
set(LXQT_MENU_DATA_PATCH_VERSION 0)
set(LXQT_MENU_DATA_VERSION ${LXQT_MENU_DATA_MAJOR_VERSION}.${LXQT_MENU_DATA_MINOR_VERSION}.${LXQT_MENU_DATA_PATCH_VERSION})

include(LXQtConfigVars)
include(LXQtPreventInSourceBuilds)
include(LXQtTranslate)

include(CMakePackageConfigHelpers)

set(LXQT_MENU_DATA_CMAKE_NAME lxqt-menu-data)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config-version.cmake"
    VERSION ${LXQT_MENU_DATA_VERSION}
    COMPATIBILITY AnyNewerVersion
    ARCH_INDEPENDENT
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}"
    COMPONENT Devel
)

add_subdirectory(menu)

=== menu/CMakeLists.txt ===
file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)

# Translations **********************************
lxqt_translate_desktop(DIRECTORY_FILES
    SOURCES
        ${DIRECTORY_FILES_IN}
    USE_YAML
)
add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
#************************************************

install(FILES
    ${DIRECTORY_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/desktop-directories"
    COMPONENT Runtime
)

install(FILES
    lxqt-applications.menu
    lxqt-applications-compact.menu
    lxqt-panel-applications.menu
    lxqt-applications-fm.menu
    lxqt-config.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== PKGBUILD ===
# Maintainer: Chih-Hsuan Yen <yan12125@archlinux.org>

pkgname=lxqt-menu-data
pkgver=2.3.0
pkgrel=1
pkgdesc='LXQt menu files'
arch=(any)
groups=(lxqt)
url='https://github.com/lxqt/lxqt-menu-data'
license=('GPL' 'LGPL')
makedepends=(cmake lxqt-build-tools qt6-tools)
source=(
  "https://github.com/lxqt/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.xz"{,.asc}
)
sha512sums=('4b64267e39bddad3096402824ff482697eccd6d036ef66a8ca81918c06778819f4d0400e1c728b4e056be6a45d39e80f6e3a1fcad932112db521eb5eee68f683'
            'SKIP')
validpgpkeys=(
  "19DFDF3A579BD509DBB572D8BE793007AD22DF7E"  # Pedram Pourang <tsujan2000@gmail.com>
)

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=None
  make -C build
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
